import { Step } from "./step";
export interface PluginPackageProps {
    /**
     * Folder to recursively load steps from.
     */
    folder: string;
}
export interface GlueStikPlugin {
    /**
     * The {@link Step} that constitutes this {@link GlueStikPlugin}
     *
     * note: we might eventually have different types here.
     */
    step: Step;
    /**
     * The file that contains this {@link GlueStikPlugin}.
     */
    file: string;
}
/**
 * Loads {@link Step}s from a folder.
 */
export declare class PluginPackage {
    /**
     * List of all {@link GlueStikPlugin}s in this {@link PluginPackage}.
     */
    readonly plugins: GlueStikPlugin[];
    constructor(props: PluginPackageProps);
}
//# sourceMappingURL=plugin.d.ts.map